/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TSESSMINIBUTTON_H
#define TSESSMINIBUTTON_H

#include <qlabel.h>
#include <qiconset.h>

/**
@author TAM(Teppei Tamra)
*/
class TSESSMiniButton : public QLabel
{
Q_OBJECT
public:
    TSESSMiniButton(QWidget *parent = 0, const char *name = 0, WFlags f = 0);

    ~TSESSMiniButton();


    public slots: virtual void setText(const QString &text);
    public: void setIconSet(const QIconSet &i);
    protected: QIconSet icon;

    protected: virtual void mouseReleaseEvent(QMouseEvent *e);

    protected: virtual void mousePressEvent(QMouseEvent *e);
    signals: void clicked();
};

#endif
