/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TSESSSCROLLVIEW_H
#define TSESSSCROLLVIEW_H

#include <qwidget.h>
#include <qevent.h>
#include <qscrollview.h>
#include <kdebug.h>

/**
@author TAM(Teppei Tamra)
*/
class TSESSScrollView : public QScrollView
{
Q_OBJECT
public:
    TSESSScrollView(QWidget *parent = 0, const char *name = 0, WFlags f = 0);

    ~TSESSScrollView();



    protected: virtual void contentsMouseMoveEvent ( QMouseEvent * e );

    signals: void tMouseMoveEvent(int x,int y);

    protected: virtual void contentsWheelEvent(QWheelEvent * e);

    signals: void extWheelActionUp();
    signals: void extWheelActionDown();
};

#endif
