/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "taviasidebarcontents.h"

TaviaSidebarContents::TaviaSidebarContents(const QString id,QWidget *parent, const char *name, WFlags f)
 : QWidget(parent, name, f)
{
    setUniqueId(id);
    setSizePolicy(QSizePolicy::Expanding,QSizePolicy::Expanding);
}


TaviaSidebarContents::~TaviaSidebarContents()
{
}

/*!
    \fn TaviaSidebarContainer::currentURLChanged(KURL &url,KParts::URLArgs &args,QString &title)
 */
void TaviaSidebarContents::currentURLChanged(KURL &url,KParts::URLArgs &args,QString &title)
{
#warning "not implemented yet!!"
}

/*!
    \fn TaviaSidebarContents::createContents(const QString id)
    ȤΥ󥹥󥹤롣newϤʤȡ
 */
TaviaSidebarContents * TaviaSidebarContents::createContents(const QString id)
{
    return(new TaviaSidebarContents(id));
}

/*!
    \fn TaviaSidebarContents::*getContentsInfo()
    TaviaSidebarContentsInfo֤
 */
TaviaSidebarContentsInfo * TaviaSidebarContents::getContentsInfo()
{
    TaviaSidebarContentsInfo *t = new TaviaSidebarContentsInfo();
    t->multiple = false;
    t->name = "template";
    t->icon = "tavia";
    t->createContents = TaviaSidebarContents::createContents;
    return(t);
}

/*!
    \fn TaviaSidebarContents::getContentsTitle()
 */
const QString TaviaSidebarContents::getContentsTitle()
{
    return("template");
}

/*!
    \fn TaviaSidebarContents::getContentsIcon()
 */
const QString TaviaSidebarContents::getContentsIcon()
{
    return("tavia");
}

/*!
    \fn TaviaSidebarContents::configure()
 */
void TaviaSidebarContents::configure()
{
#warning "not implemented yet!!"
}

/*!
    \fn TaviaSidebarContents::setUniqueId(QString id)
 */
void TaviaSidebarContents::setUniqueId(QString id)
{
    uniqueId = id;
}

/*!
    \fn TaviaSidebarContents::getUniqueId()
 */
const QString TaviaSidebarContents::getUniqueId()
{
    return(uniqueId);
}

/*!
    \fn TaviaSidebarContents::closeContents()
 */
void TaviaSidebarContents::closeContents()
{
#warning "not implemented yet!!"
}













#include "taviasidebarcontents.moc"
