/*
 * Copyright (C) 2003 TAM(Teppei Tamra) <tam-t@par.odn.ne.jp>
 */

#include "config.h"
#include "tavia.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("A cheap Web browser.");

static const char version[] = VERSION;

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open." ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("tavia", I18N_NOOP("tavia"), version, description,
                     KAboutData::License_GPL, "(C) 2003 TAM(Teppei Tamra)", 0, 0, "tam-t@par.odn.ne.jp");
    about.addAuthor( "TAM(Teppei Tamra)", 0, "tam-t@par.odn.ne.jp" );
    about.addCredit("kzk(Kazuki Ohta)", 0,"mover@hct.zaq.ne.jp");
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    tavia *mainWin = 0;

    if (app.isRestored())
    {
        RESTORE(tavia);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new tavia();
        app.setMainWidget( mainWin );
        mainWin->show();

        args->clear();
    }

    int ret = app.exec();

    // λʤ褦˽(patch from "kzk_mover")
    //delete mainWin;
    return ret;
}
