/***************************************************************************
 *   Copyright (C) 2003 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef TAVIAHTMLCACHEENTRY_H
#define TAVIAHTMLCACHEENTRY_H

#include <qcstring.h>
#include <qpixmap.h>
#include <kurl.h>
#include <kparts/browserextension.h>
#include <dom/html_document.h>

/**
@author TAM(Teppei Tamra)
*/
class TaviaHTMLCacheEntry{
public:
    TaviaHTMLCacheEntry();

    ~TaviaHTMLCacheEntry();

public:
    KURL url;
    KParts::URLArgs args;
    QByteArray state;
    QPixmap thumbnail;
    bool noCache;
    QString title;
    DOM::HTMLDocument doc;

};

#endif
